package tree;

public class Tree {

    public double height; // m
    private double diameter; // cm
    private String speciesName;
    
    // Constructors
    public Tree ( String n, double h, double d ) {
        speciesName = n ;
        height = h;
        diameter = d;
        
    }
    
    // Accessors
    public void setSpeciesName ( String n ) {
        speciesName = n ;
    }
    
    public String getSpeciesName () { 
        return speciesName;
    }
    
    public void setDiameter ( double d ) {
        diameter = d ;
    }
    
    public double getDiameter () { 
        return diameter;
    }
    
    /** return the volume in m3 */
    public double getVolume() {
    
        double v = (Math.pow(diameter/200., 2) * Math.PI * height); 
        return v;
    }
}

