package tree;

import java.lang.Math;


/** Conic Tree */
public class ConicTree extends CrownTree {

    protected double crownHeight;
    
    /** Constructor */
    public ConicTree(String sn, double h, double d, double ch, double cd) {
    
        super(sn, h, d, cd);
        crownHeight = ch;
    }    

    
    @Override
    public double getCrownVolume() {
        return Math.PI * Math.pow(crownDiameter/2, 2) * crownHeight / 3d;
    }

    

}
