package tree;


/** Abstract crown tree */
abstract public class CrownTree extends Tree {

    protected double crownDiameter;
 
    /** Constructor */   
    public CrownTree(String sn, double h, double d, double cd) {
    
        super(sn, h, d);
        crownDiameter = cd;
    
    }    
    
    @Override
    public double getVolume() {
        return super.getVolume() + getCrownVolume();
    }

    abstract public double getCrownVolume();
    

}
