package tree;

import java.util.List;
import java.util.ArrayList;
import java.lang.Math;



/** Forest :  a list of tree */
public class Forest {

    protected List<Tree> tList; 
    
    /** Construct a forest with n tree */
    public Forest(int n) {
    
        tList = new ArrayList<Tree>();
        
        for(int i=0; i<n; i++) {
        
            double r = Math.random();
            
            Tree t;
            if(r > 0.5) {
                t = new ConicTree("Larch", 10,10,10, 5);
                
            } else {
                t = new SphericTree("Larch", 10,10,10);
            }
            tList.add(t);
        
        }
    
    }
    
    /** Volume of the forest */
    public double getVolume() {
    
        double vol = 0;
        for(Tree t : tList) {
            vol += t.getVolume();
        }
        
        return vol;
    
    }
    

}
