package tree;

import java.lang.Math;


/** Spheric Tree */
public class SphericTree extends CrownTree {


    /* Constructor */
    public SphericTree(String sn, double h, double d, double cd) {
         super(sn, h, d, cd);
    }    
    

    @Override    
    public double getCrownVolume() {
        return (4/3.) * Math.PI * Math.pow(crownDiameter / 2., 3);
    }

    

}
